"use client"
import CarouselCard from '../../components/dashboard/CarouselCard';
import React from 'react'
import Carousel from "react-multi-carousel";
import "react-multi-carousel/lib/styles.css";



const CarouselMulti = ({ children, size }) => {
    const responsive = {
        superLargeDesktop: {
            breakpoint: { max: 4000, min: 3000 },
            items: 4,
            slidesToSlide: 1
        },

        desktop: {
            breakpoint: { max: 3000, min: 1024 },
            items: size,
            slidesToSlide: 1
        },
        tablet: {
            breakpoint: { max: 1024, min: 464 },
            items: 2,
            slidesToSlide: 1
        },
        mobile: {
            breakpoint: { max: 464, min: 0 },
            items: 2,
            slidesToSlide: 1
        }
    };
    return (
        <Carousel
            responsive={responsive}
            infinite={true}
            arrows={false}
            showDots={true}
            itemClass='px-2'
            transitionDuration={1000}
            autoPlay={true}
            autoPlaySpeed={1000}
            className='w-full pb-8'

        >
            {children}
        </Carousel>
    )
}

export default CarouselMulti